Vcenter NamespaceManagement Supervisors ManagementServices create
Register a Management Service with the specified Supervisor.
This operation was added in vSphere API 9.1.0.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- The resource
com.vmware.vcenter.namespace_management.supervisor.Supervisorreferenced by the parameter supervisor requiresManagementServices.Configure.
Identifier of the Supervisor.
The parameter must be an identifier for the resource type: com.vmware.vcenter.namespace_management.supervisor.Supervisor.
Specification of the Management Service.
Show optional properties
{
"management_service": "string",
"management_addresses": [
{}
],
"ports": [
{
"name": "string",
"port": 0,
"transport_protocol": "string"
}
]
}
{
"management_service": "string",
"description": "string",
"managed_by": "string",
"management_addresses": [
"string"
],
"ports": [
{
"name": "string",
"port": 0,
"transport_protocol": "string",
"tls": {
"certificate_authority_chain": "string",
"hostname": "string"
}
}
]
}
Identifier of the Management Service. The identifier has DNS Label restrictions as specified in : it must be an alphanumeric (a-z and 0-9) string, with a maximum length of 63 characters and with '-' character allowed anywhere except the first or last character. This identifier must be unique across all Management Services in the Supervisor.
This property was added in vSphere API 9.1.0.0.
When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.vcenter.namespace_management.supervisor.ManagementService. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.vcenter.namespace_management.supervisor.ManagementService.
A human-readable description of the Management Service.
This property was added in vSphere API 9.1.0.0.
If missing or null, the Management Service will not have a description.
Human-readable information about the entity responsible for the lifecycle of this Management Service record.
When set, the field implies that any change to update or delete the Management Service by any principal other than the component referenced by the field may be reverted by the automation component managing it.
This field should be left missing or null for a Management Service directly managed by human users via vSphere UI or API. It should be set when the Management Service is being created by an external automation entity with integration with vSphere API.
This property was added in vSphere API 9.1.0.0.
If missing or null, it implies the Management Service is not created by automation.
A full list of IP addresses and/or fully-qualified domain names on which the Management Service is running.
This property was added in vSphere API 9.1.0.0.
Ports information for the Service. Each port in the list is expected to be present on each address listed in managementAddresses.
This property was added in vSphere API 9.1.0.0.
Success!
Vapi Std Errors InvalidArgument if spec contains any errors.
Vapi Std Errors AlreadyExists if a Management Service with ID defined in spec is already installed on the Supervisor.
Vapi Std Errors NotAllowedInCurrentState if the Supervisor is being disabled.
Vapi Std Errors Unsupported if the Supervisor does not support Management Services.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
if the user cannot be authenticated.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
if the user does not have the ManagementServices.Configure privilege on the specified Supervisor.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
if the Supervisor with the ID supervisor could not be located.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
if the system reports an error while responding to the request.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"management_addresses":["string"],"management_service":"string","ports":["object"]}' https://{api_host}/api/vcenter/namespace-management/supervisors/{supervisor}/management-services